### Hierarchy

- Iterable
  - Iterator

This interface is implemented by the List, Set, and Map classes; it provides the iterator read-only property that returns an Iterator.

Typical usage is:

    var it = anIterableCollection.iterator;
    while (it.next()) {
      var item = it.value;
    }

### Type parameters

- #### T

### Implemented by

- List
- Set

## Index

### Properties

- count
- iterator

### Methods

- first

## Properties

### Readonly count : number

This read-only property is the number of elements in the collection.

### iterator : Iterator<T>

Gets an Iterator that can iterate over the items in the collection.

Typical usage is:

     var it = anIterableCollection.iterator;
     while (it.next()) {
       var item = it.value;
     }

## Methods

### first

- first(): T

- Returns the first item in the list, or null if there is none.

  #### Returns T

  This returns null if there are no items in the list.

Copyright © 1998-2021 by Northwoods Software Corporation.